<?php

$links = array();

if(User::getPrivilegio() != 19){

    $links[] = array(
        'url' => array('atendimentos/dcreate', array('ATD_IDCLIENTE' => $model->COT_IDCLIENTE, 'ATD_IDCONTRATO' => $model->COT_IDCONTRATO)),
        'text' => 'Atividades',
        'active' => $this->action->id == 'dcreate'
        );
}

if ($model->canUpdate()) {
    $links[] = array(
        'url' => array('contratos/update', array('id'=> $model->COT_IDCONTRATO)),
        'text' => 'Editar',
        'active' => $this->action->id == 'update'
        );
}

if ($model->COT_SITUACAO == Contratos::ADENDO) {
    $links[] = array(
        'url' => array('contratos/viewcomposicao', array('id'=> $model->COT_IDCONTRATO)),
        'text' => 'Composi&ccedil;&atilde;o',
        'active' => $this->action->id == 'viewcomposicao',
        'extra' => "data-fancybox data-caption='Composição'"
        );

    $this->widget('application.extensions.fancybox.EFancyBox', array(
        'target' => 'data-fancybox',
        'config' => array(),
        )
    );
}

if($model->mostrarPdf()) {
    $links[] = array(
        'url' => array('contratos/gerarpdf', array('id'=> $model->COT_IDCONTRATO)),
        'text' => 'Gerar PDF original',
        'active' => $this->action->id == 'gerarpdf'
        );
}

if ($model->podeRemoverPDF()) {
    $links[] = array(
        'url' => array('contratos/removerpdf', array('id'=> $model->COT_IDCONTRATO)),
        'text' => 'Remover PDF original',
        'active' => $this->action->id == 'removerpdf'
        );
}

if ($model->podeAnexarCopiaDigital() || $model->podeAnexarCopiaDigitalAssinada()) {
    $links[] = array(
        'url' => array('contratos/anexar', array('id'=> $model->COT_IDCONTRATO)),
        'text' => 'Anexar c&oacute;pia digital',
        'active' => $this->action->id == 'anexar'
        );
}

if ($model->mostrarCopiaDigital()) {
    $links[] = array(
        'url' => array('contratos/GerarCopiaDigital', array('id'=> $model->COT_IDCONTRATO)),
        'text' => 'Gerar PDF c&oacute;pia Digital',
        'active' => $this->action->id == 'GerarCopiaDigital'
        );
}

if($model->podeDesanexarCopiaDigital()) {
    $links[] = array(
        'url' => array('contratos/desanexar', array('id'=> $model->COT_IDCONTRATO)),
        'text' => 'Remover c&oacute;pia digital',
        'active' => $this->action->id == 'desanexar'
        );
}

if($model->mostrarCopiaDigitalAssinada()) {
    $links[] = array(
        'url' => array('contratos/GerarCopiaAssinadaDigitalmente', array('id'=> $model->COT_IDCONTRATO)),
        'text' => "Gerar PDF c&oacute;pia assinada digitalmente {$model->getIconAssinatura('bottom')}",
        'active' => $this->action->id == 'GerarCopiaAssinadaDigitalmente'
        );
}

if($model->listarCopiasAssinadasDigitalmente()) {
    $links[] = array(
        'url' => array('contratos/listarCopiasAssinadasDigitalmente', array('id'=> $model->COT_IDCONTRATO)),
        'text' => "C&oacute;pias assinadas digitalmente {$model->getIconAssinatura('bottom')}",
        'active' => $this->action->id == 'listarCopiasAssinadasDigitalmente'
        );
}

if($model->trocarTipoAssinatura()) {
    $links[] = array(
        'url' => array('contratos/trocarTipoAssinatura', array('id'=> $model->COT_IDCONTRATO)),
        'text' => 'Trocar tipo de assinatura',
        'active' => $this->action->id == 'trocarTipoAssinatura'
        );
}

$links[] = array(
    'url' => array('contratos/view', array('id'=> $model->COT_IDCONTRATO)),
    'text' => 'Visualizar',
    'active' => $this->action->id == 'view' && !Util::getParam('page')
    );

if (!empty($model->COT_ID_SOLICITACAO_CANCELAMENTO)) {
    $links[] = array(
        'url' => array('clientesCancelamentos/view', array('id'=> $model->COT_ID_SOLICITACAO_CANCELAMENTO)),
        'text' => 'Solicitação de Cancelamento',
        'active' => false
    );
}

if (!empty($model->COT_ID_SOLICITACAO_TRANSFERENCIA)) {
    $links[] = array(
        'url' => array('clientesTransferencias/documentos', array('id'=> $model->COT_ID_SOLICITACAO_TRANSFERENCIA)),
        'text' => 'Solicitação de Transferência',
        'active' => false
    );
}

$links[] = array(
    'url' => array('clientes/view', array('id'=> $model->COT_IDCLIENTE, 'page'=>'documentos')),
    'text' => 'Cliente',
    'active' => false
    );

echo "<ul id='menu-clientes' class='nav-pills nav navbar-nav navbar-fixed-top'>";

foreach($links as $link) {
    $class = $link['active'] ? 'active' : 'regular';
    $url = Yii::app()->createUrl($link['url'][0], $link['url'][1]);
    $text = $link['text'];
    $extra = isset($link['extra']) ? $link['extra'] : '';

    echo "<li class='{$class}'>";
    echo "<a href='{$url}' {$extra}>{$text}</a>";
    echo "</li>";
}

echo "</ul>";
